2020-08-09 18:50 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002651Spring engineAIpublic2011-10-02 15:31
Reporterabma 
Assigned Tohoijui 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version83.0 
Summary0002651: (master) crash in rai
Description[f=0141571] Error: Segmentation fault (SIGSEGV) in spring 0.82+.4.0 (Debug)
[f=0141571] Error: Stacktrace:
[f=0141571] Error: This stack trace indicates a problem with a Skirmish AI library.
[f=0141571] Error: <0> /lib/x86_64-linux-gnu/libc.so.6(+0x33d80) [0x7ff874097d80]
[f=0141571] Error: <1> /home/abma/local/spring/master/share/games/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so(+0xa683b) [0x7ff854d3a83b]
[f=0141571] Error: <2> /home/abma/local/spring/master/share/games/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so(+0xfd992) [0x7ff854d91992]
[f=0141571] Error: <3> /home/abma/local/spring/master/share/games/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so(+0xfc9ea) [0x7ff854d909ea]
[f=0141571] Error: <4> /home/abma/local/spring/master/share/games/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so(handleEvent+0x65) [0x7ff854d8919a]
[f=0141571] Error: <5> /home/abma/dev/spring/master/rts/ExternalAI/SkirmishAILibrary.cpp:95
[f=0141571] Error: <6> /home/abma/dev/spring/master/rts/ExternalAI/SkirmishAI.cpp:57
[f=0141571] Error: <7> /home/abma/dev/spring/master/rts/ExternalAI/SkirmishAIWrapper.cpp:312
[f=0141571] Error: <8> /home/abma/dev/spring/master/rts/ExternalAI/EngineOutHandler.cpp:419
[f=0141571] Error: <9> /home/abma/dev/spring/master/rts/Sim/Units/Unit.cpp:1218
Additional Informationhappened in a very long game... and looks like stack-corruption. gdb didn't give any useful.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (32,361 bytes) 2011-09-15 01:05 -
    Available log sections: KeyBindings, CSMFGroundTextures, BumpWater, DynWater, SkyBox, FarTextureHandler, ModelDrawer, OBJParser, WorldObjectModelRenderer, Texture, Font, CollisionVolume, GroundMoveType, Path, UnitScript, AutohostInterface, ArchiveScanner, VFS, Sound
    Enabled log sections: 
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    Using configuration source: "/home/abma/.springrc"
    [CMyMath::Init] CPU SSE mask: 888, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  0
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 1,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [Watchdog] disabled
    OS: Linux 2.6.38-11-generic #48-Ubuntu SMP Fri Jul 29 19:02:55 UTC 2011 x86_64
    OS: 64bit native mode
    Debug: Adding /home/abma/.spring/ to directories
    Debug: Skipping already added directory /home/abma/.spring/
    Debug: Adding /home/abma/local/spring/master/share/games/spring/ to directories
    LogOutput initialized.
    Spring 0.82+.4.0 (Debug)
    Build date/time: Aug 22 2011 18:27:54
    Build environment: boost-104200, GNU libstdc++ version 20110409
    Compiler: gcc-4.6.1 20110409 (prerelease)
    Using read-write data directory: /home/abma/.spring/
    Using read-only data directory: /home/abma/local/spring/master/share/games/spring/
    Scanning: /home/abma/local/spring/master/share/games/spring/base
    Scanning: /home/abma/.spring/maps
    [ArchiveScanner] Found new map: Small Supreme Battlefield V2
    [ArchiveScanner] Found new map: Small Supreme Battlefield V2
    Scanning: /home/abma/.spring/games
    Scanning: /home/abma/.spring/mods
    Scanning: /home/abma/.spring/packages
    Supported Video modes: 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x800, 1280x768, 1280x720, 1152x864, 1024x768, 800x600, 640x480
    Video mode set to 1680x1050/32bit (windowed)
    [f=0000000] SDL:  1.2.14
    [f=0000000] GL version:   4.1.10665 Compatibility Profile Context
    [f=0000000] GL vendor:    ATI Technologies Inc.
    [f=0000000] GL renderer:  ATI Radeon HD 5700 Series 
    [f=0000000] GLSL version: 4.10
    [f=0000000] GLEW version: 1.5.2
    [f=0000000] Joysticks found: 0
    [f=0000000] Error: Joystick 0 not found
    [f=0000000] [ArchiveScanner] 9b28a7b9186b619eaff30a7822e5072f.sdp checksum: 334531131/334531131
    [f=0000000] [ArchiveScanner] Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] Video mode set to 1680x1000/32bit (windowed)
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               ALSA Software
    [f=0000000] [Sound]   Device:     ALSA Software
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.12.854
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXTX_buffer_sub_data AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXTX_sample_buffer_object AL_EXT_source_distance_model AL_LOKI_quadriphonic
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 16
    [f=0000000] Connecting to local server
    [f=0000000] Warning: AI Interface property 'supportsLookup' could not be found.
    [f=0000000] Warning: AI Interface property 'supportsLookup' could not be found.
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: 9b28a7b9186b619eaff30a7822e5072f.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/9b28a7b9186b619eaff30a7822e5072f.sdp checksum: 334531131/334531131
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/springcontent.sdz checksum: -278175930/4016791366
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 9b28a7b9186b619eaff30a7822e5072f.sdp: 1999758704/1999758704
    [f=0000000] [ArchiveScanner] GetArchives: Comet_Catcher_Redux.sd7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum Comet_Catcher_Redux.sd7: -863847762/3431119534
    [f=0000000] PreGame::StartServer: 10 ms
    [f=0000000] Starting demo recording
    [f=0000000] Using map: Comet Catcher Redux
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum Comet Catcher Redux: -863847762/3431119534
    [f=0000000] Using game: Balanced Annihilation V7.60
    [f=0000000] [ArchiveScanner] GetArchives: Balanced Annihilation V7.60 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] Using game archive: 9b28a7b9186b619eaff30a7822e5072f.sdp
    [f=0000000] [ArchiveScanner] GetArchives: 9b28a7b9186b619eaff30a7822e5072f.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/9b28a7b9186b619eaff30a7822e5072f.sdp checksum: 334531131/334531131
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/springcontent.sdz checksum: -278175930/4016791366
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 9b28a7b9186b619eaff30a7822e5072f.sdp: 1999758704/1999758704
    [f=0000000] recording demo: demos/20110914_235222_Comet Catcher Redux_0.82+.4.sdf
    [f=0000000] PreGame::GameDataReceived: 41 ms
    [f=0000000] User number 0 (team 0, allyteam 0)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.164000
    [f=0000000] Game::LoadDefs (GameData): 220 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 27 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 1 ms
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (86 MB)
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 3080 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] Number of damage types: 11
    [f=0000000] [RegisterAssimpModelParsers] supported Assimp model formats: *.3d;*.3ds;*.ac;*.ac3d;*.acc;*.ase;*.ask;*.b3d;*.blend;*.bvh;*.cob;*.csm;*.dae;*.dxf;*.enff;*.hmp;*.ifc;*.irr;*.irrmesh;*.lwo;*.lws;*.lxo;*.md2;*.md3;*.md5anim;*.md5camera;*.md5mesh;*.mdc;*.mdl;*.mesh.xml;*.mot;*.ms3d;*.ndo;*.nff;*.obj;*.off;*.pk3;*.ply;*.prj;*.q3o;*.q3s;*.raw;*.scn;*.smd;*.stl;*.ter;*.uc;*.vta;*.x;*.xml;
    [f=0000000] Creating Unit Textures
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] Initializing Map Features
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [CPathManager] pathing data checksum: 2748249d
    [f=0000000] Creating Sky
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Tile Files
    [f=0000000] Reading Tile Map
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 16 ms
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 38 ms
    [f=0000000] Game::LoadInterface (Console): 1 ms
    [f=0000000] Loading LuaRules
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum Comet Catcher Redux: -863847762/3431119534
    [f=0000000] [ArchiveScanner] GetArchives: 9b28a7b9186b619eaff30a7822e5072f.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/9b28a7b9186b619eaff30a7822e5072f.sdp checksum: 334531131/334531131
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/springcontent.sdz checksum: -278175930/4016791366
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 9b28a7b9186b619eaff30a7822e5072f.sdp: 1999758704/1999758704
    [f=0000000] Loaded gadget:  No Self-D           <unit_prevent_share_selfd.lua>
    [f=0000000] Loaded gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=0000000] Loaded gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=0000000] Loaded gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=0000000] Loaded gadget:  DirectControl       <unit_direct_control.lua>
    [f=0000000] Loaded gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded gadget:  Los_Only_Sounds     <unit_los_only_sounds.lua>
    [f=0000000] Loaded gadget:  MissileControl      <unit_missile_delay.lua>
    [f=0000000] Loaded gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded gadget:  Paralyse Multiplier  <unit_paralyze_multiplier.lua>
    [f=0000000] Loaded gadget:  Passive Builders II  <unit_passive_builders_ii.lua>
    [f=0000000] Loaded gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=0000000] Loaded gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=0000000] Loaded gadget:  Prevent Outside Aircraft hacks  <unit_prevent_aircraft_hax.lua>
    [f=0000000] Loaded gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=0000000] Loaded gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=0000000] Loaded gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded gadget:  ShieldDrain         <unit_shield_watch.lua>
    [f=0000000] Loaded gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=0000000] Loaded gadget:  Team Resourcing     <game_team_resources.lua>
    [f=0000000] Loaded gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded gadget:  prevent_flying_com_wrecks  <unit_prevent_flying_com_wrecks.lua>
    [f=0000000] Loaded gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded gadget:  Team Com Ends       <teamcomends.lua>
    [f=0000000] Loaded gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum Comet Catcher Redux: -863847762/3431119534
    [f=0000000] [ArchiveScanner] GetArchives: 9b28a7b9186b619eaff30a7822e5072f.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/9b28a7b9186b619eaff30a7822e5072f.sdp checksum: 334531131/334531131
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/springcontent.sdz checksum: -278175930/4016791366
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 9b28a7b9186b619eaff30a7822e5072f.sdp: 1999758704/1999758704
    [f=0000000] Loaded gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded gadget:  Los_Only_Sounds     <unit_los_only_sounds.lua>
    [f=0000000] Loaded gadget:  MissileControl      <unit_missile_delay.lua>
    [f=0000000] Loaded gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded gadget:  ShieldDrain         <unit_shield_watch.lua>
    [f=0000000] Loaded gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=0000000] Loaded gadget:  mo_greenfields      <mo_greenfields.lua>
    [f=0000000] Loaded gadget:  mo_noowner          <mo_noowner.lua>
    [f=0000000] Loaded gadget:  mo_noshare          <mo_noshare.lua>
    [f=0000000] Loaded gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=0000000] Loaded gadget:  prevent_flying_com_wrecks  <unit_prevent_flying_com_wrecks.lua>
    [f=0000000] Loaded gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] This game has locked LuaUI access
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum Comet Catcher Redux: -863847762/3431119534
    [f=0000000] [ArchiveScanner] GetArchives: 9b28a7b9186b619eaff30a7822e5072f.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/9b28a7b9186b619eaff30a7822e5072f.sdp checksum: 334531131/334531131
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/springcontent.sdz checksum: -278175930/4016791366
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum 9b28a7b9186b619eaff30a7822e5072f.sdp: 1999758704/1999758704
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Hardware is incompatible with Xray shader requirements
    [f=0000000] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=0000000] Loading widget from mod:   Metalspot Finder    <wg_metalspot_finder.lua> ...
    [f=0000000] Loading widget from mod:   BlurApi             <api_gfx_blur.lua> ...
    [f=0000000] blur api: your hardware does not support shaders
    [f=0000000] Loading widget from mod:   MexUpg Helper       <helper.lua> ...
    [f=0000000] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=0000000] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=0000000] Loading widget from mod:   HealthBars          <unit_healthbars.lua> ...
    [f=0000000] Loading widget from mod:   Ally Resource Bars  <gui_ally_res.lua> ...
    [f=0000000] Loading widget from mod:   AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=0000000] false
    [f=0000000] Error in Initialize(): [string "LuaUI/fonts.lua"]:245: attempt to index upvalue 'activeFont' (a nil value)
    [f=0000000] Removed widget: AdvPlayersList
    [f=0000000] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=0000000] Loading widget from mod:   Anti Range          <gui_anti_range.lua> ...
    [f=0000000] Loading widget from mod:   Auto First Build Facing  <autofirstbuildfacing.lua> ...
    [f=0000000] Loading widget from mod:   Autoquit            <autoquit.lua> ...
    [f=0000000] Loading widget from mod:   CustomIcons         <unit_customicons.lua> ...
    [f=0000000] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=0000000] Loading widget from user:  Load eta            <loadeta.lua> ...
    [f=0000000] Loading widget from mod:   Energy Conversion Info  <gui_energy_conversion.lua> ...
    [f=0000000] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=0000000] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=0000000] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=0000000] Loading widget from mod:   Holdfire Fix        <unit_holdfire_fix.lua> ...
    [f=0000000] Loading widget from mod:   Point Tracker       <gui_point_tracker.lua> ...
    [f=0000000] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=0000000] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=0000000] Loading widget from mod:   Red Console         <gui_red_console.lua> ...
    [f=0000000] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=0000000] Loading widget from mod:   MoreSounds          <unit_more_sounds.lua> ...
    [f=0000000] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=0000000] Loading widget from mod:   Red Resource Bars   <gui_red_resourcebars.lua> ...
    [f=0000000] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=0000000] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=0000000] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=0000000] Loading widget from mod:   Transporting        <gui_transporting.lua> ...
    [f=0000000] Loading widget from user:  Unit Reclaimer      <unit_unit_reclaimer.lua> ...
    [f=0000000] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=0000000] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=0000000] BuildBar Warning: you deactivated the "blurApi" widget, please reactivate it.
    [f=0000000] Loading widget from user:  Easy Facing         <gui_easyFacing.lua> ...
    [f=0000000] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=0000000] Loading widget from mod:   MohoExploiter       <unit_moho_exploiter.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=0000000] Loading widget from mod:   GameTypeInfo        <gui_game_type_info.lua> ...
    [f=0000000] Loading widget from mod:   Take Reminder II    <gui_take_remind_ii.lua> ...
    [f=0000000] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=0000000] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=0000000] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=0000000] Loading widget from mod:   BA Waypoint Dragger  <unit_waypoint_dragger_2.lua> ...
    [f=0000000] Loading widget from user:  Bomber control      <unit_bomber_control.lua> ...
    [f=0000000] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=0000000] Loading widget from user:  Metal Placer V3 Integrated Version for Mappers  <lua_metal_integrated-v3.lua> ...
    [f=0000000] Mexmap detected - loading...
    [f=0000000] mexmap imported from LuaUI/Widgets/MetalMaps/comet catcher redux.springmexmapv3
    [f=0000000] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=0000000] Loading widget from mod:   BA_AllyCursors      <gui_ba_ally_cursors.lua> ...
    [f=0000000] Loading widget from user:  Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=0000000] Loading widget from mod:   Lups                <lups_wrapper.lua> ...
    [f=0000000] Loading widget from mod:   CustomFormations2   <unit_customformations2.lua> ...
    [f=0000000] LuaUI v0.3
    [f=0000000] Finalizing
    [f=0000000] Connection attempt from [AG]abma
    [f=0000000]  -> Version: 0.82+.4.0 (Debug)
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player [AG]abma finished loading and is now ingame
    [f=0000000] GameID: 2322714e4d3d1600eb1fe16a79b8f899
    [f=0000000] [ArchiveScanner] GetArchives: Balanced Annihilation V7.60 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/9b28a7b9186b619eaff30a7822e5072f.sdp checksum: 334531131/334531131
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/springcontent.sdz checksum: -278175930/4016791366
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum Balanced Annihilation V7.60: 1999758704/1999758704
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum Comet Catcher Redux: -863847762/3431119534
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum Comet Catcher Redux: -863847762/3431119534
    [f=0000000] [ArchiveScanner] GetArchives: Balanced Annihilation V7.60 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/9b28a7b9186b619eaff30a7822e5072f.sdp checksum: 334531131/334531131
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/springcontent.sdz checksum: -278175930/4016791366
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/spring/bitmaps.sdz checksum: -1951780851/2343186445
    [f=0000000] [ArchiveScanner] archive checksum Balanced Annihilation V7.60: 1999758704/1999758704
    [f=0000000] [ArchiveScanner] GetArchives: Comet Catcher Redux (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/Comet_Catcher_Redux.sd7 checksum: 1729117454/1729117454
    [f=0000000] [ArchiveScanner] /home/abma/local/spring/master/share/games/spring/base/maphelper.sdz checksum: -1416460384/2878506912
    [f=0000000] [ArchiveScanner] archive checksum Comet Catcher Redux: -863847762/3431119534
    [f=0000019] Skirmish AI "Enemy" (ID:0, Short-Name:"RAI", Version:"0.601") took over control of team 1
    [f=0000364] Buildings set to face North
    [f=0000848] Speed set to 1.1 [[AG]abma]
    [f=0000854] Speed set to 1.2 [[AG]abma]
    [f=0000858] Speed set to 1.3 [[AG]abma]
    [f=0010505] debug info rendering mode is enabled!
    [f=0010655] debug info rendering mode is disabled!
    [f=0034267] Advanced Construction Vehicle: No mexes to upgrade
    [f=0034875] Advanced Construction Vehicle: No mexes to upgrade
    [f=0037867] Advanced Construction Vehicle: No mexes to upgrade
    [f=0048319] debug info rendering mode is enabled!
    [f=0048382] debug info rendering mode is disabled!
    [f=0048523] debug info rendering mode is enabled!
    [f=0048544] debug info rendering mode is disabled!
    [f=0048921] debug info rendering mode is enabled!
    [f=0048952] debug info rendering mode is disabled!
    [f=0049503] debug info rendering mode is enabled!
    [f=0049596] debug info rendering mode is disabled!
    [f=0050059] Advanced Construction Vehicle: No mexes to upgrade
    [f=0050312] debug info rendering mode is enabled!
    [f=0050346] debug info rendering mode is disabled!
    [f=0064192] Speed set to 1.2 [[AG]abma]
    [f=0064213] Speed set to 1.1 [[AG]abma]
    [f=0064229] Speed set to 1.0 [[AG]abma]
    [f=0066332] Advanced Construction Vehicle: No mexes to upgrade
    [f=0066379] Advanced Construction Vehicle: No mexes to upgrade
    [f=0066427] Advanced Construction Vehicle: No mexes to upgrade
    [f=0066475] Advanced Construction Vehicle: No mexes to upgrade
    [f=0066523] Advanced Construction Vehicle: No mexes to upgrade
    [f=0068027] Advanced Construction Vehicle: No mexes to upgrade
    [f=0068075] Advanced Construction Vehicle: No mexes to upgrade
    [f=0068462] debug info rendering mode is enabled!
    [f=0068541] debug info rendering mode is disabled!
    [f=0068614] Set Shadows to 2
    [f=0068614] Debug: /shadows
    [f=0068847] Set Shadows to 0
    [f=0068847] Debug: /shadows
    [f=0079360] Switching to Overview style camera
    [f=0079485] Switching to Overhead (TA) style camera
    [f=0093092] Warning: Bandwidth limit was reached for [AG]abma [packets delayed]
    [f=0093095] Warning: Bandwidth limit was reached for [AG]abma [packets delayed]
    [f=0093126] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093126] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093127] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093127] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093130] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093131] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093131] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093132] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093189] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093190] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093191] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093191] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093193] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093194] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093194] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093195] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093245] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093246] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093247] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093248] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0093248] Warning: Waiting packet limit was reached for [AG]abma [packets dropped]
    [f=0108876] Advanced Construction Vehicle: No mexes to upgrade
    [f=0108924] Advanced Construction Vehicle: No mexes to upgrade
    [f=0108972] Advanced Construction Vehicle: No mexes to upgrade
    [f=0109996] Advanced Construction Vehicle: No mexes to upgrade
    [f=0110044] Advanced Construction Vehicle: No mexes to upgrade
    [f=0122652] Advanced Construction Vehicle: No mexes to upgrade
    [f=0122700] Advanced Construction Vehicle: No mexes to upgrade
    [f=0122764] Advanced Construction Vehicle: No mexes to upgrade
    [f=0141571] Error: Segmentation fault (SIGSEGV) in spring 0.82+.4.0 (Debug)
    [f=0141571] Error: Stacktrace:
    [f=0141571] Error: This stack trace indicates a problem with a Skirmish AI library.
    [f=0141571] Error:   <0> /lib/x86_64-linux-gnu/libc.so.6(+0x33d80) [0x7ff874097d80]
    [f=0141571] Error:   <1> /home/abma/local/spring/master/share/games/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so(+0xa683b) [0x7ff854d3a83b]
    [f=0141571] Error:   <2> /home/abma/local/spring/master/share/games/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so(+0xfd992) [0x7ff854d91992]
    [f=0141571] Error:   <3> /home/abma/local/spring/master/share/games/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so(+0xfc9ea) [0x7ff854d909ea]
    [f=0141571] Error:   <4> /home/abma/local/spring/master/share/games/spring/AI/Skirmish/RAI/0.601/libSkirmishAI.so(handleEvent+0x65) [0x7ff854d8919a]
    [f=0141571] Error:   <5> /home/abma/dev/spring/master/rts/ExternalAI/SkirmishAILibrary.cpp:95
    [f=0141571] Error:   <6> /home/abma/dev/spring/master/rts/ExternalAI/SkirmishAI.cpp:57
    [f=0141571] Error:   <7> /home/abma/dev/spring/master/rts/ExternalAI/SkirmishAIWrapper.cpp:312
    [f=0141571] Error:   <8> /home/abma/dev/spring/master/rts/ExternalAI/EngineOutHandler.cpp:419
    [f=0141571] Error:   <9> /home/abma/dev/spring/master/rts/Sim/Units/Unit.cpp:1218
    [f=0141571] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0141571] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0141571] Path cache hits 7877 41%
    [f=0141571] Path cache hits 12187 26%
    [f=0141571] Statistics for local connection:
    Received: 840891 bytes
    Sent: 1981088 bytes
    Error: Spring crashed Spring has crashed:
    Segmentation fault (SIGSEGV).
    
    A stacktrace has been written to:
      /home/abma/.spring/infolog.txt
    
    txt file icon infolog.txt (32,361 bytes) 2011-09-15 01:05 +

-Relationships
+Relationships

-Notes

~0007373

hoijui (reporter)

hmm ok :/
well yeah.. cant really do anything with that of course.
except maybe running with RAI in valgrind.

~0007378

abma (administrator)

not the same, but a crash at shutdown:

http://springrts.com:7778/builders/validationtests/builds/218/steps/validationtests_2/logs/stdio

(the same for later, don't know if buildbot keeps log files forever...)
http://pastebin.com/7tf1peL5

~0007381

hoijui (reporter)

for this later bug, the only thing i could image would be, if the callback was deleted before the AI. this is not the case (i just tested again, and i know that i made sure it is not the case before).
i can not reproduce this. RAI writes the resource file just fine for me (before the callback is deleted).
i even tried with the same mod and map.

~0007386

jK (developer)

Last edited: 2011-09-19 18:29

@cRAI::LocateFile SIGSEGV
buffer overflow in STRCPYS? -> for GCC it is: #define STRCPYS(dst, dstSize, src) strcpy(dst, src)

It's used a lot in the AI interface, better use STRNCPY.

~0007392

hoijui (reporter)

looks like it was not STRCPYS, or my fix fails :/
could it have to do with the way/moment the game is ended?

~0007434

abma (administrator)

Last edited: 2011-09-29 04:09

the crash doesn't happen every time. (see validationtests on buildbot)

looks like the callback is already deinitialized?

[f=0000100] Tests run long enough, quitting...
[f=0000100] User exited
[f=0000162] Speed set to 31.0 [TestMonkey]
...crash

related part of valgrind.log:

==13639== Invalid read of size 8
==13639== at 0x4108B75: cRAI::LocateFile(springLegacyAI::IAICallback*, std::string const&, std::string&, bool) (RAI.cpp:1105)
==13639== by 0x4137A70: GlobalResourceMap::~GlobalResourceMap() (GResourceMap.cpp:745)
==13639== by 0x4100ABC: cRAI::~cRAI() (RAI.cpp:128)
==13639== by 0x4100DBB: cRAI::~cRAI() (RAI.cpp:138)
==13639== by 0x415A99F: springLegacyAI::CAIAI::~CAIAI() (AIAI.cpp:15)
==13639== by 0x415AA15: springLegacyAI::CAIAI::~CAIAI() (AIAI.cpp:20)
==13639== by 0x41535A1: release (AIExport.cpp:82)
==13639== by 0x11608A1: CSkirmishAILibrary::Release(int) const (SkirmishAILibrary.cpp:77)
==13639== by 0x1153BC3: CSkirmishAI::~CSkirmishAI() (SkirmishAI.cpp:36)
==13639== by 0x1163B03: CSkirmishAIWrapper::~CSkirmishAIWrapper() (SkirmishAIWrapper.cpp:98)
==13639== by 0x1163C1F: CSkirmishAIWrapper::~CSkirmishAIWrapper() (SkirmishAIWrapper.cpp:110)
==13639== by 0x112D0AF: CEngineOutHandler::~CEngineOutHandler() (EngineOutHandler.cpp:121)
==13639== Address 0x134c5d00 is 0 bytes inside a block of size 112 free'd
==13639== at 0x4C27FFF: operator delete(void*) (vg_replace_malloc.c:387)
==13639== by 0x415ED55: springLegacyAI::CAIAICallback::~CAIAICallback() (AIAICallback.cpp:160)
==13639== by 0x415D54E: springLegacyAI::CAIGlobalAICallback::~CAIGlobalAICallback() (AIGlobalAICallback.cpp:18)
==13639== by 0x415D5DB: springLegacyAI::CAIGlobalAICallback::~CAIGlobalAICallback() (AIGlobalAICallback.cpp:20)
==13639== by 0x415A9D7: springLegacyAI::CAIAI::~CAIAI() (AIAI.cpp:18)
==13639== by 0x415AA15: springLegacyAI::CAIAI::~CAIAI() (AIAI.cpp:20)
==13639== by 0x41535A1: release (AIExport.cpp:82)
==13639== by 0x11608A1: CSkirmishAILibrary::Release(int) const (SkirmishAILibrary.cpp:77)
==13639== by 0x1153BC3: CSkirmishAI::~CSkirmishAI() (SkirmishAI.cpp:36)
==13639== by 0x1163B03: CSkirmishAIWrapper::~CSkirmishAIWrapper() (SkirmishAIWrapper.cpp:98)
==13639== by 0x1163C1F: CSkirmishAIWrapper::~CSkirmishAIWrapper() (SkirmishAIWrapper.cpp:110)
==13639== by 0x112D0AF: CEngineOutHandler::~CEngineOutHandler() (EngineOutHandler.cpp:121)
==13639==
==13639==
==13639== Process terminating with default action of signal 11 (SIGSEGV)
==13639== General Protection Fault
==13639== at 0x6B2CC7F: sprintf (sprintf.c:29)
==13639== by 0x118453D: luaV_tostring(lua_State*, lua_TValue*) (lvm.cpp:59)
==13639== by 0x116917C: lua_tolstring(lua_State*, int, unsigned long*) (lapi.cpp:348)
==13639== by 0x116DC46: luaB_tostring(lua_State*) (lbaselib.cpp:402)
==13639== by 0x117285E: luaD_precall(lua_State*, lua_TValue*, int) (ldo.cpp:319)
==13639== by 0x1187481: luaV_execute(lua_State*, int) (lvm.cpp:612)
==13639== by 0x1172B30: luaD_call(lua_State*, lua_TValue*, int) (ldo.cpp:377)
==13639== by 0x116A3BA: f_call(lua_State*, void*) (lapi.cpp:812)
==13639== by 0x1171B9D: luaD_rawrunprotected(lua_State*, void (*)(lua_State*, void*), void*) (ldo.cpp:116)
==13639== by 0x1172F44: luaD_pcall(lua_State*, void (*)(lua_State*, void*), void*, long, long) (ldo.cpp:463)
==13639== by 0x116A464: lua_pcall(lua_State*, int, int, int) (lapi.cpp:833)
==13639== by 0xBFB427: CLuaHandle::RunCallInTraceback(int, int, int, std::string&) (LuaHandle.cpp:440)

~0007447

abma (administrator)

did a bit more testing:

crash only happens in RAI vs RAI games, RAI vs KAIK works fine!

~0007449

hoijui (reporter)

thanks abma, that helped a lot!

fixed by:
https://github.com/spring/spring/commit/09b3a5281e3b8711192ae6423674ced645664102
+Notes

-Issue History
Date Modified Username Field Change
2011-09-15 01:05 abma New Issue
2011-09-15 01:05 abma File Added: infolog.txt
2011-09-15 01:06 abma Additional Information Updated
2011-09-15 01:09 abma Additional Information Updated
2011-09-15 20:12 hoijui Note Added: 0007373
2011-09-16 11:02 abma Note Added: 0007378
2011-09-17 09:26 hoijui Note Added: 0007381
2011-09-19 18:28 jK Note Added: 0007386
2011-09-19 18:29 jK Note Edited: 0007386
2011-09-19 18:29 jK Note Edited: 0007386
2011-09-20 09:24 hoijui Status new => assigned
2011-09-20 09:24 hoijui Assigned To => hoijui
2011-09-22 11:39 hoijui Note Added: 0007392
2011-09-29 02:43 abma Note Added: 0007434
2011-09-29 03:55 abma Note Edited: 0007434
2011-09-29 03:56 abma Note Edited: 0007434
2011-09-29 04:06 abma Note Edited: 0007434
2011-09-29 04:09 abma Note Edited: 0007434
2011-10-02 13:23 abma Note Added: 0007447
2011-10-02 15:31 hoijui Note Added: 0007449
2011-10-02 15:31 hoijui Status assigned => resolved
2011-10-02 15:31 hoijui Fixed in Version => 0.83.0
2011-10-02 15:31 hoijui Resolution open => fixed
+Issue History